<template>
  <div class="wrap">
    <div class="title">已报备列表:</div>
    <div class="line"></div>
    <div v-if="reportList">
      <div style="margin: 7px 0" v-for="(item,index) in reportList" :key="index">{{item.createTime+','}}{{item.remark}}</div>
    </div>
  </div>
</template>

<script>
import {orderReportingList} from "@/api/order"
import {myMixins} from "@/utils/myMixins"

export default {
  name: "reportingList",
  mixins: [myMixins],
  data() {
    return {
      queryType: '',
      userOrderId: '',
      orderCode: '',
      taskOrderId:'',
      reportList:[]
    }
  },
  async mounted() {
    const urlParams = new URLSearchParams(window.location.search);
    this.queryType = urlParams.get('queryType');
    this.userOrderId = urlParams.get('userOrderId');
    this.orderCode = urlParams.get('orderCode')
    this.taskOrderId=urlParams.get('taskOrderId')
    await this.getReportingList()
  },
  methods: {
    async getReportingList(){
      let res = await orderReportingList({
        queryType:Number(this.queryType),
        userOrderId:this.userOrderId,
        orderCode: this.orderCode,
        taskOrderId:this.taskOrderId
      })
      this.reportList=res.data
    }
  },
}
</script>

<style scoped lang="scss">
@import "@/styles/mixin.scss";
@import "@/styles/common.scss";

.wrap {
  box-sizing: border-box;
  padding: 13px 24px 0;
  width: 100%;
  height: 100%;
}

.title {
  @include fontWeightSize(bold, 14px);
  color: #323643;

}

.item {
  font-size: 14px;
  margin-bottom: 8px;
  @include flexCenter;
}

.line {
  @include wh(100%, 2px);
  opacity: 0.16;
  border-top: 1px solid;
  margin-bottom: 8px;
  margin-top: 8px;
  border-image: linear-gradient(270deg, rgba(217, 217, 217, 0.6), rgba(178, 178, 178, 1), rgba(178, 178, 178, 1), rgba(217, 217, 217, 0.6)) 1 1;
}



</style>